| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Lib.JsonFormatter Class Reference

Formatting of JSON strings into human readable form. More...

## Public Member Functions
string | Format (string jsonString)
| Returns a formatted JSON string. More...

## Properties
int | NumIndent`[get, set]`
| Number of spaces used for indentation. More...

## Private Member Functions
void | FormatFile (string pathOriginal, string pathConverted)
| Reads a JSON string from a file, formats it, and writes it to the specified file (which can be the same as the original one). More...

## Private Attributes
int | _numIndent

## Detailed Description

Formatting of JSON strings into human readable form.

$A Igor jun09;

## Member Function Documentation

string IG.Lib.JsonFormatter.Format | ( | string | jsonString | ) |
| inline

Returns a formatted JSON string.

Parameters

  jsonString | Original unformatted string.

Returns

References JsonPrettyPrinterPlus.JsonPrettyPrinter.PrettyPrint(), and JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.SpacesPerIndent.

Referenced by IG.Lib.SerializerJson.Serialize< T >().

void IG.Lib.JsonFormatter.FormatFile | ( | string | pathOriginal,
|  | string | pathConverted
| ) |  |
| inline private

Reads a JSON string from a file, formats it, and writes it to the specified file (which can be the same as the original one).

Parameters

  pathOriginal | Path to the original file.
  pathConverted | Path to the converted file.

## Member Data Documentation

int IG.Lib.JsonFormatter._numIndent
| private

## Property Documentation

int IG.Lib.JsonFormatter.NumIndent
| get set

Number of spaces used for indentation.

The documentation for this class was generated from the following file:

- igbase/data/serialization/SerializerJson.cs